# ADSIBaseTask

[This is preliminary documentation and subject to change.]

Base NAnt task for working with ADSI. This task contains only the path of the ADSI object that you want to work with.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
path | string | The ADSI path of the location where we want to work with. | True
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)